Name:          python-pypdf2
Version:       1.26.0
Release:       1mamba
Summary:       PDF toolkit
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://mstamy2.github.com/PyPDF2
Source:        https://pypi.debian.net/PyPDF2/PyPDF2-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
## note: run 'autospec -u -a6 python-pypdf2' to get the list of build requirements.
## AUTOBUILDREQ-END
BuildRequires: libpython-devel
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildArch:     noarch

%description
%{summary}.

%prep
%setup -q -n PyPDF2-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files -f %{name}.filelist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Wed Aug 31 2016 Automatic Build System <autodist@mambasoft.it> 1.26.0-1mamba
- automatic update by autodist

* Tue Jun 09 2015 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.24-1mamba
- package created using the webbuild interface
